# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DateAndTime Class Reference

`#include <StepBasic_DateAndTime.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_DateAndTime ()
| Returns a DateAndTime .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Date)&aDateComponent, const Handle(StepBasic_LocalTime)&aTimeComponent)
Standard_EXPORT void | SetDateComponent (const Handle(StepBasic_Date)&aDateComponent)
Standard_EXPORT Handle_StepBasic_Date | DateComponent () const
Standard_EXPORT void | SetTimeComponent (const Handle(StepBasic_LocalTime)&aTimeComponent)
Standard_EXPORT Handle_StepBasic_LocalTime | TimeComponent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_Date | dateComponent
Handle_StepBasic_LocalTime | timeComponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DateAndTime::StepBasic_DateAndTime | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Date StepBasic_DateAndTime::DateComponent | ( |  | ) | const

Standard_EXPORT const StepBasic_DateAndTime::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_DateAndTime::Init | ( | const Handle(StepBasic_Date)& | aDateComponent,
|  | const Handle(StepBasic_LocalTime)& | aTimeComponent
| ) | `[virtual]`

Standard_EXPORT void StepBasic_DateAndTime::SetDateComponent | ( | const Handle(StepBasic_Date)& | aDateComponent | ) |

Standard_EXPORT void StepBasic_DateAndTime::SetTimeComponent | ( | const Handle(StepBasic_LocalTime)& | aTimeComponent | ) |

Standard_EXPORT Handle_StepBasic_LocalTime StepBasic_DateAndTime::TimeComponent | ( |  | ) | const

## Field Documentation

Handle_StepBasic_Date StepBasic_DateAndTime::dateComponent `[private]`

Handle_StepBasic_LocalTime StepBasic_DateAndTime::timeComponent `[private]`

The documentation for this class was generated from the following file:

- StepBasic_DateAndTime.hxx